> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Address Book

> 创建钱包地址簿条目，支持交易所地址与个人钱包地址。系统会自动执行地址风险评估与校验。
[  *Stablecoin Account API 发布方免责声明*](/zh/stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer)




## OpenAPI

````yaml /zh/stablecoin-account/v1.6/ramp.yaml post /v1/ramp/wallet_address
openapi: 3.0.2
info:
  title: Stablecoin Account API
  version: 1.0.4
  x-source-en-commit: 4413eca
  x-source-en-path: stablecoin-account/v1.6/ramp.yaml
  description: |
    UQPAY Stablecoin Account API 为法币与加密货币的兑换提供全面的稳定币账户管理与支付解决方案，实现完整的资金流转闭环能力。

    ## 核心功能
    - 资产管理：查询并管理多币种的钱包余额
    - 法币转账：在 Stablecoin Account 与 Global Account 系统之间划转资金
    - 货币兑换：基于实时报价的加密货币与法币双向兑换
    - 加密货币充值：通过地址管理接收加密货币充值
    - 加密货币提现：发起并跟踪加密货币提现

    ## 身份验证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行身份验证。
    API 密钥是用于验证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 快速开始
    1. 获取 API 凭证（x-client-id 和 x-api-key）
    2. 通过 POST /api/v1/connect/token 请求 Access Token
    3. 使用沙盒 URL 搭建测试环境
    4. 通过 x-auth-token 请求头实现身份验证
    5. 从基础操作开始

    ## 技术支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: ramp.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: ramp-api-v1.0.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Stablecoin Account
    - Payment Processing
    - Cryptocurrency
    - Fiat Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: 沙盒环境基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Assets
    description: 管理稳定币钱包账户，并查询不同币种的余额。
  - name: Transfer (Out/In)
    description: 在 Stablecoin Account 与 Global Account 系统之间划转资金。
  - name: Conversions
    description: 在加密货币与法币之间执行货币兑换。
  - name: Deposits
    description: 管理加密货币充值地址并跟踪充值交易。
  - name: Withdrawals
    description: 创建并管理加密货币提现请求。
  - name: Configuration
    description: 查询支持的资产、网络与系统配置。
  - name: Address Book
    description: 管理用于提现的钱包地址簿条目。
  - name: Travel Rule
    description: 用于为地址簿条目填充 Travel Rule 受益人信息的参考数据（VASP、国家、地区）。
paths:
  /v1/ramp/wallet_address:
    post:
      tags:
        - Address Book
      summary: Create Address Book
      description: >
        创建钱包地址簿条目，支持交易所地址与个人钱包地址。系统会自动执行地址风险评估与校验。

        [  *Stablecoin Account API
        发布方免责声明*](/zh/stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer)
      operationId: create-address-book
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/XIdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddressBookCreateRequest'
      responses:
        '200':
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          description: 成功创建地址簿条目
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressBookCreateResponse'
                title: AddressBookCreateResponse
      security:
        - XAuthToken: []
      externalDocs:
        description: API 发布方免责声明 – UQPAY Australia
        url: >-
          /stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设置为 `account_id`，可通过 List Connected Accounts
        接口获取。若省略或为空，则请求以主账户身份执行。

        更多信息参见 Connected Accounts。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    XIdempotencyKey:
      in: header
      name: x-idempotency-key
      schema:
        type: string
        format: uuid
      required: false
      description: >-
        用于保持操作幂等性的唯一标识符（UUID），确保同一操作的重复执行不会产生非预期的影响或重复。在网络错误、重试或失败的情况下，它有助于保持数据一致性。
      example: 2adef8e0-9d63-44bc-b975-9b6ae3440dde
  schemas:
    AddressBookCreateRequest:
      type: object
      required:
        - address_label
        - network
        - currency
        - address_type
        - wallet_address
        - legal_declaration
      properties:
        address_label:
          type: string
          description: 地址标签/名称
          example: My USDT Wallet
        network:
          type: string
          description: 网络代码
          example: ETH
        currency:
          type: string
          description: 币种代码
          example: USDT
        address_type:
          type: integer
          description: 地址类型（1000：交易所，2000：个人钱包）
          example: 2000
        wallet_address:
          type: string
          description: 钱包地址
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
        address_source:
          type: string
          description: 地址来源（当 address_type=1000 时必填）
          example: manual
        legal_declaration:
          type: string
          description: >-
            address_type=1000：I_CERTIFY_BENEFICIAL_OWNERSHIP_OF_EXCHANGE_ACCOUNT；address_type=2000：I_CERTIFY_THIS_ADDRESS_IS_MINE
          enum:
            - I_CERTIFY_BENEFICIAL_OWNERSHIP_OF_EXCHANGE_ACCOUNT
            - I_CERTIFY_THIS_ADDRESS_IS_MINE
        is_whitelist:
          type: integer
          description: 是否将该地址加入白名单（0：否，1：是）
          example: 0
        meta_data:
          description: >-
            目的地址的 Travel Rule 数据。当地址属于第三方、为托管（交易所）钱包，或将作为 Binance
            提现目的地址时需提供。一旦提供，下列字段将被校验并存储。
          allOf:
            - $ref: '#/components/schemas/TravelRuleMetaData'
    AddressBookCreateResponse:
      type: object
      required:
        - code
        - message
        - data
      properties:
        code:
          type: integer
          example: 200
        message:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/AddressBookEntry'
    TravelRuleMetaData:
      type: object
      description: >-
        交易对手方的 Travel Rule 数据——既可以是提现目的地址（地址簿条目），也可以是充值来源方（通过 Submit Deposit
        Sender Travel Rule
        提交）。第三方对手方（`address_party=third_party`）和托管钱包（`wallet_type=hosted`）必须提供。
      required:
        - wallet_type
        - address_party
      properties:
        wallet_type:
          type: string
          description: 目的钱包的托管类型——`hosted` 为托管/交易所钱包（需提供 VASP 信息），`unhosted` 为自托管/私人钱包。
          enum:
            - hosted
            - unhosted
          example: hosted
        address_party:
          type: string
          description: 地址归属——`first_party` 表示属于账户持有人本人，`third_party` 表示属于其他受益人。
          enum:
            - first_party
            - third_party
          example: third_party
        beneficiary_information:
          description: 受益人信息。当 `address_party=third_party` 或 `wallet_type=hosted` 时必填。
          allOf:
            - $ref: '#/components/schemas/BeneficiaryInformation'
    AddressBookEntry:
      type: object
      required:
        - account_id
        - address_id
        - address_type
        - address_label
        - network
        - currency
        - wallet_address
        - create_time
        - address_status
        - is_owner
        - receiver_name
        - verification_status
      properties:
        account_id:
          type: string
          description: 账户 ID
          example: 9276ffba-7b6c-4d1d-b4e9-b4c8fc435160
        address_id:
          type: string
          format: uuid
          description: 地址条目 ID
          example: 72612f65-6026-4cd0-b184-6c48f4850590
        address_type:
          type: integer
          description: 地址类型（1000：交易所，2000：个人钱包）
          example: 2000
        address_label:
          type: string
          description: 地址标签/名称
          example: My USDT Wallet
        network:
          type: string
          description: 网络代码
          example: ETH
        currency:
          type: string
          description: 币种代码
          example: USDT
        wallet_address:
          type: string
          description: 钱包地址
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
        create_time:
          type: string
          description: 创建时间
          example: '2026-01-16 14:30:00'
        address_status:
          type: integer
          description: 地址状态
          example: 1
        is_owner:
          type: integer
          description: 用户是否拥有该地址（0：否，1：是）
          example: 0
        receiver_name:
          type: string
          description: 收款方名称
          example: John Doe
        verification_status:
          type: integer
          description: 验证状态（1：已验证，2：失败）
          example: 1
        need_travel_rule:
          type: boolean
          description: 该地址是否仍需补充 Travel Rule 数据。`meta_data` 为空时为 `true`，据此引导用户在提现前补全信息。
          example: true
        meta_data:
          nullable: true
          description: 该地址已存储的 Travel Rule 数据；未提供时为 `null`。
          allOf:
            - $ref: '#/components/schemas/TravelRuleMetaData'
        message:
          type: string
          description: 错误消息（失败时返回）
    BeneficiaryInformation:
      type: object
      description: 目的地址的受益人信息。个人受益人提供姓名字段，企业受益人提供公司名。托管钱包还需提供 VASP 信息。
      properties:
        entity_type:
          type: string
          description: 受益人实体类型。当 `address_party=third_party` 时必填。
          enum:
            - individual
            - corporation
          example: individual
        first_name:
          type: string
          description: 受益人名。个人第三方受益人必填。
          example: John
        last_name:
          type: string
          description: 受益人姓。个人第三方受益人必填。
          example: Doe
        company_name:
          type: string
          description: 受益人公司名。企业第三方受益人必填。
          example: Acme Pte Ltd
        country:
          type: string
          description: >-
            受益人国家码（ISO 3166-1 alpha-2，小写）。第三方时必填。取自 Country List 接口返回的
            `countryCode`。
          example: sg
        city:
          type: string
          description: 受益人城市/地区。第三方时必填。取自 Region List 接口返回的 `regionName`。
          example: Singapore
        vasp_id:
          type: string
          description: >-
            受益人 VASP 标识。托管钱包时必填（`vasp_id` / `vasp_name` 至少提供一个）。取自 VASP List
            接口返回的 `identifier`。
          example: I1QNLP
        vasp_name:
          type: string
          description: VASP 名称。托管钱包在 VASP List 中找不到对应 VASP 时，将交易所名称填入此处（此时可不传 `vasp_id`）。
          example: Binance
        id_type:
          type: string
          description: 受益人证件类型。可选。
        id_primary:
          type: string
          description: 受益人证件号。可选。
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时，有助于定位某次请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: UQPay 提供的用于登录的 API Token。

````